%define prefix       openoffice.org-
%define deamon_name  oood

%define version      0.3.1
%define revision     30655
%define release      17

%define server_user   oood
%define config_dir    %{_sysconfdir}/oood
%define server_dir    %{_usr}/share/oood
%define run_dir       %{_var}/run/oood
%define log_dir       %{_var}/log/oood
%define tmp_dir       %{run_dir}/tmp


Summary:       Standalone server for converting various types of docs to/from OpenOffice format, extracting and editing metadata.
Name:          %{prefix}%{deamon_name}
Version:       %{version}
Release:       %mkrel %{release}
License:       GPL
Group:         System/Servers
Source0:       %{deamon_name}-%{revision}.tar.bz2
Source1:       %{deamon_name}.logrotate.conf
URL:           http://svn.erp5.org/erp5/trunk/utils/ooodoc_server/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-rootdir
Requires:      python >= 2.4, x11-server-xvfb
Requires:      pyuno
BuildArch:     noarch
Requires(pre): rpm-helper
BuildRequires: python >= 2.4

#----------------------------------------------------------------------
%description
A server for converting docs from other formats to OOo, generating pdf files, keeping unchangeable snapshots in pdf format, getting and setting metadata. To be used together with ERP5 Document business template, although can be run standalone for any other client application.

It returns a file in a desired format; html files are zipped because they often consist of more than one file.

#----------------------------------------------------------------------

%prep
%setup -q -c -n %{name}


%build


%install
%{__rm} -rf  %{buildroot}

# Create and populate /etc/oood/
%{__mkdir_p} %{buildroot}/%{config_dir}
%{__mv} %{deamon_name}/oood.conf   %{buildroot}/%{config_dir}/
%py_compile %{buildroot}/%{config_dir}

# For next 2007 release, look at http://qa.mandriva.com/twiki/bin/view/Main/InitscriptHowto
%{__mkdir_p} %{buildroot}%{_initrddir}
%{__mv} %{deamon_name}/oood.rc %{buildroot}%{_initrddir}/oood

# Create /var/lib/oood/tmp/
%{__mkdir_p} %{buildroot}/%{server_dir}

# Create and populate /usr/share/oood/
%{__cp} -a  %{deamon_name}/*  %{buildroot}/%{server_dir}/
%py_compile %{buildroot}/%{server_dir}

# Create and populate /var/run/oood
%{__mkdir_p} %{buildroot}%{run_dir}

# Create and populate /var/log/oood
%{__mkdir_p} %{buildroot}%{log_dir}

# Create logrotate file
%define logrotate_dir %{_sysconfdir}/logrotate.d
%{__mkdir_p} %{buildroot}/%{logrotate_dir}
%{__cp} -a %{SOURCE1} %{buildroot}/%{logrotate_dir}/oood

# Create /var/tmp/tmp/
%{__mkdir_p} %{buildroot}/%{tmp_dir}

# Create README file
cat %{deamon_name}/README > README.urpmi


%clean
%{__rm} -rf %{buildroot}


%pre
%_pre_useradd %{server_user} %{server_dir} /bin/bash


%post
%_post_service oood


%preun
%_preun_service oood


%postun
%_postun_userdel %{server_user}


%files

%defattr(0755,root,root,755)
%config(noreplace) %{_initrddir}/oood
%dir %{config_dir}
%config(noreplace) %{config_dir}/oood.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/oood
%doc %{deamon_name}/VERSION.txt %{deamon_name}/README %{deamon_name}/MAINTAINERS.txt

%defattr(0755,%{server_user},%{server_user},755)
%{server_dir}
%{run_dir}
%{log_dir}

#----------------------------------------------------------------------
%changelog
* Mon Dec 28 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com>
- split pyuno-mandriva and pyuno-official to individual packages

* Mon Nov 30 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com>
- split pyuno-mandriva and pyuno-official from task-erp5.spec
- openoffice.org-filter-binfilter is now 'Requires' instead of 'Suggests' in
  pyuno-mandriva

* Mon Nov 16 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-17nxd2010.0
- build from the SVN repository (SVN rev: 30655).

* Thu Apr  9 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-16nxd2009.0
- use /var/run/oood/tmp as tmp_dir (SVN rev:26370)

* Thu Nov 27 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-15nxd2008.1
- requires pyuno metapackage instead of openoffice.org64-pyuno or
  openoffice.org-pyuno.

* Mon Nov 10 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-14nxd2008.1
- build from the SVN repository (SVN rev: 24534).
- add 'Requires: x11-server-xvfb' (that depends much less than
  xorg-x11-Xvfb)

* Thu Nov  6 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-13nxd2008.1
- build from the SVN repository (SVN rev: 24504).
- remove 'Requires: xorg-x11-Xvfb'.
- modify the configuration for logrotate so as to rotate weekly instead of
  daily.

* Thu Oct 16 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-12nxd2008.1
- build from the SVN repository (SVN rev: 24214).

* Thu Oct  9 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-11nxd2008.1
- build from the SVN repository (SVN rev: 24113).
- no longer try to guess OOo installation path.

* Thu Sep 18 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-10nxd2008.1
- build from the SVN repository (SVN rev: 23281)

* Tue Aug 26 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-9nxd2008.1
- build from the SVN repository (SVN rev: 23154)

* Mon Aug 25 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-8nxd2008.1
- build from the SVN repository (SVN rev: 23150)

* Mon Aug 11 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-7nxd2008.1
- build from the SVN repository (SVN rev: 22963)
- remove 'MALLOC_CHECK_=1' hack

* Fri Jul 11 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-6nxd2008.1
- build from the SVN repository (SVN rev: 22461)
- set FilterDate to export notes for presentations
- use -invisible instead of -headless to avoid 'free(): invalid pointer'

* Tue May 20 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-5nxd2008.1
- build from the SVN repository (SVN rev: 21045)
- patch is no longer needed
- add /var/tmp/oood

* Fri May 02 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-4nxd2008.1
- requires openoffice.org-pyuno for Mandriva 2008.1

* Mon Jan  7 2008 Julien Gormotte <julien@nexedi.com> 0.3.1-3mdv2008.0
- New build from the SVN repository (SVN rev: 18630)

* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-2mdv2007.1
- revise source tarball to use python instead of python2.4

* Fri Jun 29 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.3.1-1mdv2007.1
- patch in initscript file instead of in %post and %preun
- do not start daemon in %post

* Wed Jun 06 2007 Bartlomiej Gorny <bartek@erp5.pl> 0.3.0-1mdv2007.0
- XMLRPC python patch not needed because of changes in source code
- changed server dir to /usr/share

* Wed Jan 31 2007 Kevin Deldycke <kevin@nexedi.com> 0.2.0-6mdv2007.0
- XMLRPC python patch is still required (it was merge upstrem in python 2.5 not 2.4)

* Fri Jan 26 2007 Kevin Deldycke <kevin@nexedi.com> 0.2.0-5mdv2007.0
- 'patch' command is required

* Fri Jan 26 2007 Kevin Deldycke <kevin@nexedi.com> 0.2.0-4mdv2007.0
- Fix missing macro

* Fri Jan 26 2007 Kevin Deldycke <kevin@nexedi.com> 0.2.0-3mdv2007.0
- Fix OOo location method
- Remove XMLRPC python server patch: fixed upstream

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 0.2.0-2mdv2007.0
- Rebuild for Mandriva 2007.0

* Thu Jan 18 2007 Kevin Deldycke <kevin@nexedi.com> 0.2.0-1mdk
- Bump to 0.2.0

* Wed Jan 10 2007 Kevin Deldycke <kevin@nexedi.com> 0.1.9-5mdk
- Fix OOo path detection at uninstall

* Wed Jan 10 2007 Kevin Deldycke <kevin@nexedi.com> 0.1.9-4mdk
- Escape slash with backslash for sed manipulation
- In place sed file modification
- Fix dynamic oood config
- Macro-ize sed call

* Wed Jan 10 2007 Kevin Deldycke <kevin@nexedi.com> 0.1.9-3mdk
- Dynamic patch of OpenOffice depending of installed version
- Dynamic oood configuration depending of OpenOffice version
- OpenOffice.org package naming was moved to standard lower-case starting from 2.0 branch, so require at v2.0 of openoffice for oood (this void strange behaviour on Mandriva 2006 where both v1 and v2 are present)

* Thu Nov 30 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.9-2mdk
- Even if it's recommanded to use OpenOffice.org 2.0.3, don't force the requirement of this particular version of OpenOffice

* Thu Nov 30 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.9-1mdk
- Update to version 0.1.9
- Fix file rights
- Move log file to folder
- Add empty log file

* Thu Nov 30 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.8-1mdk
- Update to version 0.1.8
- Macro-ize some hard-coded path reference

* Thu Nov 30 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.7-1mdk
- Update to version 0.1.7
- Add xorg-x11-Xvfb requirement

* Tue Nov 28 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.6-1mdk
- Update to version 0.1.6
- Add Logrotate config file

* Thu Nov 23 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.5-1mdk
- Update to version 0.1.5

* Thu Nov 23 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.4-1mdk
- Update to version 0.1.4
- Do not define initrd files as config files
- Start and stop service automaticcaly at install and uninstall

* Mon Nov 21 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.3-1mdk
- Update to version 0.1.3
- Include server directories
- Don't include ReadMe file twice
- Add rc.d/init.d file to manage oood as a service
- Add oood service to system on install
- Delete oood service on uninstall
- Patch openoffice to skip registration form at first run
- Don't use custom shell script to start server
- Save patches in a separate folder

* Mon Nov 20 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.2-1mdk
- Update to version 0.1.2
- Change package name from OOoDocument_server to openoffice.org-oood
- Update directory name
- Change default access rights

* Thu Nov 02 2006 Kevin Deldycke <kevin@nexedi.com> 0.1.1-1mdk
- Update to version 0.1.1
- Use %mkrel and others generic macro

* Tue Jul 18 2006 Bartlomiej Gorny <bartek@redpoint.mn.pl> 0.1-3mdk
- Second build

* Fri Jun 30 2006 Bartlomiej G�ny <bartek@redpoint.mn.pl> 0.1-2mdk
- first build
